Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.edit.internal.swt.controls
Class SingleControl

    java.lang.Object
      org.eclipse.emf.ecp.edit.spi.ECPAbstractControl
          org.eclipse.emf.ecp.edit.internal.swt.util.SWTControl
              org.eclipse.emf.ecp.edit.internal.swt.controls.SingleControl

All Implemented Interfaces:
  ECPControlSWT

Direct Known Subclasses:
  AbstractTextControl, BooleanControl, DateTimeControl, EEnumControl, LinkControl

Deprecated.

    @Deprecated
    public abstract class SingleControl

extends SWTControl

This class defines a SingleControl which is used for displaying `EStructuralFeature`s which have maximum 1 value.

Author:
  Eugen Neufeld

Constructor Summary
`SingleControl()` Deprecated.

Method Summary
`void` | `dispose()` Deprecated. Disposes the control.
`void` | `handleValidation(org.eclipse.emf.common.util.Diagnostic diagnostic)` Deprecated.
`void` | `resetValidation()` Deprecated.
`boolean` | `showLabel()` Deprecated.

Methods inherited from class org.eclipse.emf.ecp.edit.internal.swt.util.SWTControl
`createControl, createControls, setObservableValue`

Methods inherited from class org.eclipse.emf.ecp.edit.spi.ECPAbstractControl
`getDataBindingContext, getFirstSetting, getFirstStructuralFeature, getItemPropertyDescriptor, init, setEditable, setEmbedded`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingleControl

    public SingleControl()

  Deprecated.

Method Detail

### handleValidation

    @Deprecated
    public void handleValidation(org.eclipse.emf.common.util.Diagnostic diagnostic)

  Deprecated.

  Handle live validation.

  Overrides:
    `handleValidation` in class `ECPAbstractControl`
  Parameters:
    `diagnostic` - of type Diagnostic

### resetValidation

    @Deprecated
    public void resetValidation()

  Deprecated.

  Reset the validation status 'ok'.

  Overrides:
    `resetValidation` in class `ECPAbstractControl`

### dispose

    public void dispose()

  Deprecated.
  Disposes the control. A control which needs specific dispose handling must still call super.dispose.

  Overrides:
    `dispose` in class `SWTControl`

### showLabel

    @Deprecated
    public boolean showLabel()

  Deprecated.

  Whether a label should be shown for this control.

  Overrides:
    `showLabel` in class `ECPAbstractControl`
  Returns:
    true if a label should be created, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.